DefaultCodecLookup (Grails 5.2.3)

Package: org.grails.plugins.codecs

## [Java] Class DefaultCodecLookup

- org.grails.plugins.codecs.DefaultCodecLookup

- All Implemented Interfaces and Traits:
    GrailsApplicationAware

      public class DefaultCodecLookup
      extends BasicCodecLookup
      implements GrailsApplicationAware

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.springframework.context.ApplicationContext` | `applicationContext` |
    `protected GrailsApplication` | `grailsApplication` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasicCodecLookup` | `NONE_ENCODER, decoders, encoders`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultCodecLookup (GrailsApplication grailsApplication)`
    `DefaultCodecLookup ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `registerCodec(GrailsCodecClass grailsClass)`
    `` | `protected void` | `registerCodecs()`
    `` | `public void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicCodecLookup` | `afterPropertiesSet, createChainedCodecInstance, createCodec, createNameVariations, lookupCodec, lookupDecoder, lookupEncoder, putChainedCodecInstance, reInitialize, registerCodecFactory, registerCodecs, registerDecoder, registerEncoder, registerVariationsOfName, registerWithNameVaritions`

- - ### Field Detail

    - #### protected org.springframework.context.ApplicationContext applicationContext

    - #### protected GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### public DefaultCodecLookup(GrailsApplication grailsApplication)

    - #### public DefaultCodecLookup()

  - ### Method Detail

    - #### public void registerCodec(GrailsCodecClass grailsClass)

    - #### protected void registerCodecs()

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)